curl https://production.methodfi.com/entities/ent_hy3xhPDfWDVxi/verification_sessions/evf_ywizPrR6WDxDG \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "kba",
"kba": {
"answers": [
{
"question_id": "qtn_xgP6cGhq34fHW",
"answer_id": "ans_dbKCwDGwrrBgi"
},
{
"question_id": "qtn_kmfdEftQ9zc6T",
"answer_id": "ans_LXN83xnJAUNFb"
},
{
"question_id": "qtn_6mWegPLBpAFxb",
"answer_id": "ans_EKi47D8wA6YN3"
}
]
}
}'
const response = await method
.entities("ent_hy3xhPDfWDVxi")
.verificationSessions
.update("evf_ywizPrR6WDxDG", {
type: "identity",
method: "kba",
kba: {
answers: [
{
question_id: "qtn_xgP6cGhq34fHW",
answer_id: "ans_dbKCwDGwrrBgi"
},
{
question_id: "qtn_kmfdEftQ9zc6T",
answer_id: "ans_LXN83xnJAUNFb"
},
{
question_id: "qtn_6mWegPLBpAFxb",
answer_id: "ans_EKi47D8wA6YN3"
}
]
}
});
response = method
.entities('ent_hy3xhPDfWDVxi')
.verification_sessions
.update('evf_ywizPrR6WDxDG', {
'type': 'identity',
'method': 'kba',
'kba': {
'answers': [
{
'question_id': 'qtn_xgP6cGhq34fHW',
'answer_id': 'ans_dbKCwDGwrrBgi'
},
{
'question_id': 'qtn_kmfdEftQ9zc6T',
'answer_id': 'ans_LXN83xnJAUNFb'
},
{
'question_id': 'qtn_6mWegPLBpAFxb',
'answer_id': 'ans_EKi47D8wA6YN3'
}
]
}
})
{
"id": "evf_ywizPrR6WDxDG",
"entity_id": "ent_hy3xhPDfWDVxi",
"status": "verified",
"type": "identity",
"method": "kba",
"kba": {
"questions": [],
"authenticated": true
},
"error": null,
"created_at": "2024-04-11T19:23:44.742Z",
"updated_at": "2024-04-11T19:23:44.742Z"
}
Identity Verification
Update a KBA Verification
PUT
/
entities
/
{ent_id}
/
verification_sessions
/
{evf_id}
curl https://production.methodfi.com/entities/ent_hy3xhPDfWDVxi/verification_sessions/evf_ywizPrR6WDxDG \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "kba",
"kba": {
"answers": [
{
"question_id": "qtn_xgP6cGhq34fHW",
"answer_id": "ans_dbKCwDGwrrBgi"
},
{
"question_id": "qtn_kmfdEftQ9zc6T",
"answer_id": "ans_LXN83xnJAUNFb"
},
{
"question_id": "qtn_6mWegPLBpAFxb",
"answer_id": "ans_EKi47D8wA6YN3"
}
]
}
}'
const response = await method
.entities("ent_hy3xhPDfWDVxi")
.verificationSessions
.update("evf_ywizPrR6WDxDG", {
type: "identity",
method: "kba",
kba: {
answers: [
{
question_id: "qtn_xgP6cGhq34fHW",
answer_id: "ans_dbKCwDGwrrBgi"
},
{
question_id: "qtn_kmfdEftQ9zc6T",
answer_id: "ans_LXN83xnJAUNFb"
},
{
question_id: "qtn_6mWegPLBpAFxb",
answer_id: "ans_EKi47D8wA6YN3"
}
]
}
});
response = method
.entities('ent_hy3xhPDfWDVxi')
.verification_sessions
.update('evf_ywizPrR6WDxDG', {
'type': 'identity',
'method': 'kba',
'kba': {
'answers': [
{
'question_id': 'qtn_xgP6cGhq34fHW',
'answer_id': 'ans_dbKCwDGwrrBgi'
},
{
'question_id': 'qtn_kmfdEftQ9zc6T',
'answer_id': 'ans_LXN83xnJAUNFb'
},
{
'question_id': 'qtn_6mWegPLBpAFxb',
'answer_id': 'ans_EKi47D8wA6YN3'
}
]
}
})
{
"id": "evf_ywizPrR6WDxDG",
"entity_id": "ent_hy3xhPDfWDVxi",
"status": "verified",
"type": "identity",
"method": "kba",
"kba": {
"questions": [],
"authenticated": true
},
"error": null,
"created_at": "2024-04-11T19:23:44.742Z",
"updated_at": "2024-04-11T19:23:44.742Z"
}
Updates an ongoing for verifying an Entity’s identity via Method’s KBA verification process.
The Entity will response with a list of answers to the questions that were sent in the response of initializing the verification process.
Based off the results of the answers, this will determine if the Entity’s identity has been verified or not.
Path Parameters
Body
Returns
Returns an EntityVerificationSession object.curl https://production.methodfi.com/entities/ent_hy3xhPDfWDVxi/verification_sessions/evf_ywizPrR6WDxDG \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "identity",
"method": "kba",
"kba": {
"answers": [
{
"question_id": "qtn_xgP6cGhq34fHW",
"answer_id": "ans_dbKCwDGwrrBgi"
},
{
"question_id": "qtn_kmfdEftQ9zc6T",
"answer_id": "ans_LXN83xnJAUNFb"
},
{
"question_id": "qtn_6mWegPLBpAFxb",
"answer_id": "ans_EKi47D8wA6YN3"
}
]
}
}'
const response = await method
.entities("ent_hy3xhPDfWDVxi")
.verificationSessions
.update("evf_ywizPrR6WDxDG", {
type: "identity",
method: "kba",
kba: {
answers: [
{
question_id: "qtn_xgP6cGhq34fHW",
answer_id: "ans_dbKCwDGwrrBgi"
},
{
question_id: "qtn_kmfdEftQ9zc6T",
answer_id: "ans_LXN83xnJAUNFb"
},
{
question_id: "qtn_6mWegPLBpAFxb",
answer_id: "ans_EKi47D8wA6YN3"
}
]
}
});
response = method
.entities('ent_hy3xhPDfWDVxi')
.verification_sessions
.update('evf_ywizPrR6WDxDG', {
'type': 'identity',
'method': 'kba',
'kba': {
'answers': [
{
'question_id': 'qtn_xgP6cGhq34fHW',
'answer_id': 'ans_dbKCwDGwrrBgi'
},
{
'question_id': 'qtn_kmfdEftQ9zc6T',
'answer_id': 'ans_LXN83xnJAUNFb'
},
{
'question_id': 'qtn_6mWegPLBpAFxb',
'answer_id': 'ans_EKi47D8wA6YN3'
}
]
}
})
{
"id": "evf_ywizPrR6WDxDG",
"entity_id": "ent_hy3xhPDfWDVxi",
"status": "verified",
"type": "identity",
"method": "kba",
"kba": {
"questions": [],
"authenticated": true
},
"error": null,
"created_at": "2024-04-11T19:23:44.742Z",
"updated_at": "2024-04-11T19:23:44.742Z"
}
⌘I